Bug 105893 - [CSS Regions]Content overflowing last region displayed wrong
Summary: [CSS Regions]Content overflowing last region displayed wrong
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mihnea Ovidenie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-01 00:00 PST by Mihnea Ovidenie
Modified: 2013-01-06 09:08 PST (History)
6 users (show)

See Also:


Attachments
Patch (16.16 KB, patch)
2013-01-01 00:11 PST, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff
Patch 2 (19.01 KB, patch)
2013-01-03 06:39 PST, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff
Patch for landing (19.84 KB, patch)
2013-01-04 01:48 PST, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mihnea Ovidenie 2013-01-01 00:00:45 PST
For writing modes: horizontal-bt/vertical-rl, the content overflowing last region is improperly displayed.
Comment 1 Mihnea Ovidenie 2013-01-01 00:11:14 PST
Created attachment 180984 [details]
Patch
Comment 2 Mihnea Ovidenie 2013-01-03 06:39:40 PST
Created attachment 181171 [details]
Patch 2

Modified also hit testing to take these writing modes into account when computing the region clipping rect.
Comment 3 Dave Hyatt 2013-01-03 08:41:40 PST
Comment on attachment 181171 [details]
Patch 2

r=me
Comment 4 Mihnea Ovidenie 2013-01-04 01:48:36 PST
Created attachment 181284 [details]
Patch for landing
Comment 5 WebKit Review Bot 2013-01-04 02:14:45 PST
Comment on attachment 181284 [details]
Patch for landing

Clearing flags on attachment: 181284

Committed r138785: <http://trac.webkit.org/changeset/138785>
Comment 6 WebKit Review Bot 2013-01-04 02:14:49 PST
All reviewed patches have been landed.  Closing bug.